<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_MEDIA_PLAYBACK" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />

    <application
        android:name=".MusicApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.MusicApp"
        tools:targetApi="31">
        <activity
            android:name=".ui.activity.CategoryListActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.A_PlayActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.A_SettingActivity"
            android:exported="false" />
        <activity
            android:name=".ui.activity.PlayActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.activity.A_HomeActivity"
            android:exported="true"
            android:screenOrientation="portrait">

        </activity>
        <activity
            android:name=".ui.activity.HomeActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.activity.A_SplashActivity"
            android:exported="true"></activity>

        <service
            android:name=".media3.PlaybackService"
            android:exported="true"
            android:foregroundServiceType="mediaPlayback">
            <intent-filter>
                <action android:name="androidx.media3.session.MediaSessionService" />
            </intent-filter>
        </service>
        <service
            android:name=".service.MusicPlayerForegroundService"
            android:enabled="true"
            android:exported="false"
            android:foregroundServiceType="mediaPlayback" />
    </application>

</manifest>